# -*- coding: utf-8 -*-
#概要:温度と湿度の値をデータベースに登録するプログラム
import smbus
import time
import psycopg2
from datetime import datetime


AM2320_ADDR =0x5c

i2c=smbus.SMBus(1)

try:#センサを待機状態から起こす。
	i2c.read_byte(AM2320_ADDR)
except:
	pass
time.sleep(0.003)
read_function=0x03
start_reg=0x00
num_reg=0x04
#読み取りたいデータのスタートレジスタとレジスタ長を指定
i2c.write_i2c_block_data(AM2320_ADDR, read_function,[ start_reg, num_reg])
time.sleep(0.015)
#センサから帰ってきた値を読み取る
read_num=6
data=i2c.read_i2c_block_data(AM2320_ADDR, read_function, read_num)
humi=float(data[2]<<8|data[3])/10
temp=float(data[4]<<8|data[5])/10
print"temp:",temp," ℃","humi:",humi," %"
#データベース接続
connection = psycopg2.connect(#TODO:接続のパラメータ追記#)
cur = connection.cursor()
# データベースへの登録
id = int(datetime.now().strftime("%Y%m%d%H%M%S"))
date =datetime.now().strftime("%Y%m%d")
time =datetime.now().strftime("%H:%M:%S")
place="LICTiA"
cur.execute(#TODO:SQL 文作成#)
connection.commit()
cur.close()
connection.close()